---
title: 'HTMLDialogElement: close event'
slug: Web/API/HTMLDialogElement/close_event
tags:
  - API
  - Event
  - Experimental
  - HTML DOM
  - HTMLDialogElement
  - Reference
  - close
---
<div>{{ APIRef() }}</div>

<p>The <code>close</code> event is fired on an <code>HTMLDialogElement</code> object when the dialog it represents has been closed.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/GlobalEventHandlers/onclose">onclose</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<h3 id="Live_example">Live example</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;dialog class="example-dialog"&gt;
    &lt;button class="close" type="reset"&gt;Close&lt;/button&gt;
&lt;/dialog&gt;

&lt;button class="open-dialog"&gt;Open dialog&lt;/button&gt;

&lt;div class="result"&gt;&lt;/div&gt;</pre>

<div class="hidden">
<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">button, div {
    margin: .5rem;
}
</pre>
</div>

<h4 id="JS">JS</h4>

<pre class="brush: js notranslate">const result = document.querySelector('.result');

const dialog = document.querySelector('.example-dialog');
dialog.addEventListener('close', (event) =&gt; {
    result.textContent = 'dialog was closed';
});

const openDialog = document.querySelector('.open-dialog');
openDialog.addEventListener('click', () =&gt; {
  if (typeof dialog.showModal === 'function') {
      dialog.showModal();
      result.textContent = '';
  } else {
      result.textContent = 'The dialog API is not supported by this browser';
  }
});

const closeButton = document.querySelector('.close');
closeButton.addEventListener('click', () =&gt; {
    dialog.close();
});
</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Live_example', '100%', '100px') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{ SpecName('HTML WHATWG', 'indices.html#event-close', 'close') }}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLDialogElement.close_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>HTML <code><a href="/en-US/docs/Web/HTML/Element/dialog">&lt;dialog&gt;</a></code> element</li>
</ul>
